org.apache.ivy.plugins.parser.xml

## Class XmlModuleDescriptorParser.Parser.State

- java.lang.Object
- - org.apache.ivy.plugins.parser.xml.XmlModuleDescriptorParser.Parser.State

Enclosing class:
  XmlModuleDescriptorParser.Parser

    public static final class XmlModuleDescriptorParser.Parser.State
    extends java.lang.Object

### Field Summary

Fields
`static int` `ARTIFACT_EXCLUDE`
`static int` `ARTIFACT_INCLUDE`
`static int` `CONF`
`static int` `CONFLICT`
`static int` `DEP`
`static int` `DEP_ARTIFACT`
`static int` `DEPS`
`static int` `DESCRIPTION`
`static int` `EXCLUDE`
`static int` `EXTRA_INFO`
`static int` `INFO`
`static int` `NONE`
`static int` `PUB`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NONE

    public static final int NONE

See Also:
  Constant Field Values

#### INFO

    public static final int INFO

See Also:
  Constant Field Values

#### CONF

    public static final int CONF

See Also:
  Constant Field Values

#### PUB

    public static final int PUB

See Also:
  Constant Field Values

#### DEP

    public static final int DEP

See Also:
  Constant Field Values

#### DEP_ARTIFACT

    public static final int DEP_ARTIFACT

See Also:
  Constant Field Values

#### ARTIFACT_INCLUDE

    public static final int ARTIFACT_INCLUDE

See Also:
  Constant Field Values

#### ARTIFACT_EXCLUDE

    public static final int ARTIFACT_EXCLUDE

See Also:
  Constant Field Values

#### CONFLICT

    public static final int CONFLICT

See Also:
  Constant Field Values

#### EXCLUDE

    public static final int EXCLUDE

See Also:
  Constant Field Values

#### DEPS

    public static final int DEPS

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final int DESCRIPTION

See Also:
  Constant Field Values

#### EXTRA_INFO

    public static final int EXTRA_INFO

See Also:
  Constant Field Values